aboutsummaryrefslogtreecommitdiffstats
path: root/main/xf86-input-vmmouse
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-10-04 11:58:37 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-10-04 11:58:37 +0000
commit8e048afa8c9d9ebbead2ee0a3d7b034bf682d675 (patch)
treee36e668b0b8628c40834ef5f660d5a07bbece1db /main/xf86-input-vmmouse
parent374cb8d3e8fc65b8dafedb1107b130ff7d522f91 (diff)
downloadaports-8e048afa8c9d9ebbead2ee0a3d7b034bf682d675.tar.gz
aports-8e048afa8c9d9ebbead2ee0a3d7b034bf682d675.tar.bz2
aports-8e048afa8c9d9ebbead2ee0a3d7b034bf682d675.tar.xz
main/[various]: update config.sub
Diffstat (limited to 'main/xf86-input-vmmouse')
-rw-r--r--main/xf86-input-vmmouse/APKBUILD11
1 files changed, 9 insertions, 2 deletions
diff --git a/main/xf86-input-vmmouse/APKBUILD b/main/xf86-input-vmmouse/APKBUILD
index 7139b8d0c4..8d45077b2d 100644
--- a/main/xf86-input-vmmouse/APKBUILD
+++ b/main/xf86-input-vmmouse/APKBUILD
@@ -11,8 +11,15 @@ depends=
makedepends="pkgconfig libxkbfile-dev xorg-server-dev libxi-dev libxrandr-dev"
source="http://xorg.freedesktop.org/releases/individual/driver/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
export LDFLAGS="$LDFLAGS -Wl,-z,lazy"
./configure \
--build=$CBUILD \
@@ -23,7 +30,7 @@ build() {
}
package() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
rm "$pkgdir"/usr/lib/xorg/modules/*/*.la || return 1
install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING